%{!?_pkgdocdir:%global _pkgdocdir %_defaultdocdir/%{name}-%{version}}

%global commit  03faf17942432027aaeb12e624e089de7673c209
%global gitdate 20180106
%global scommit %(c=%{commit}; echo ${c:0:7})
%global gitrel  .%{gitdate}git%{scommit}
%global gitver  -%{gitdate}git%{scommit}

%global api_ver 0


Name:           wlroots
Version:        0.0.1
Release:        0.7%{?gitrel}%{?dist}
Summary:        Pluggable, composable modules for building a Wayland compositor

# All files in the sources are licensed as MIT, but
#   * protocol/server-decoration.xml [LGPL (v2.1 or later)]
#   * protocol/gamma-control.xml [NTP (legal disclaimer)]
#
# Those files are processed to c-compilable files by the
# `wayland-scanner` binary during build and don't alter the
# main license of the binaries linking with them by the
# underlying licenses.
License:        MIT
URL:            https://github.com/swaywm/%{name}
Source0:        %{url}/archive/%{commit}.tar.gz#/%{name}-%{version}%{?gitver}.tar.gz

BuildRequires:  gcc
BuildRequires:  libcap-devel
BuildRequires:  libinput-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  mesa-libEGL-devel
BuildRequires:  mesa-libGLES-devel
BuildRequires:  mesa-libgbm-devel
BuildRequires:  mesa-libwayland-egl-devel
BuildRequires:  meson
BuildRequires:  pixman-devel
BuildRequires:  systemd-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  xcb-util-wm-devel

%description
%{summary}.


%package        devel
Summary:        Development files for %{name}

Requires:       %{name}%{?_isa} == %{version}-%{release}
Requires:       libinput-devel%{?_isa}
Requires:       libxcb-devel%{?_isa}
Requires:       libxkbcommon-devel%{?_isa}
Requires:       mesa-libEGL-devel%{?_isa}
Requires:       pixman-devel%{?_isa}
Requires:       systemd-devel%{?_isa}
Requires:       wayland-devel%{?_isa}
Requires:       xcb-util-wm-devel%{?_isa}

%description    devel
Development files for %{name}.


%prep
%autosetup -n %{name}-%{commit} -p 1


%build
%ifarch %{arm} %{ix86}
export CFLAGS="%{optflags} -Wno-error=format="
export CXXFLAGS="%{optflags} -Wno-error=format="
%endif
%meson
%meson_build


%install
%meson_install

# %%doc && examples.
%{__mkdir} -p %{buildroot}%{_pkgdocdir}
%{__cp} -pr README.md examples %{buildroot}%{_pkgdocdir}

# Cleanup.
for f in '.*ignore*' meson.build; do
  %{_bindir}/find %{buildroot} -type f -name "$f" -print -delete
done


%check
%meson_test


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc %dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README.md
%license LICENSE
%{_libdir}/lib%{name}.so.%{api_ver}*


%files          devel
%doc %{_pkgdocdir}/examples
%{_includedir}/wlr
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jan 13 2018 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.7.20180106git03faf17
- Updated snapshot

* Wed Jan 03 2018 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.6.20180102git767df15
- Initial import (#1529352)

* Wed Jan 03 2018 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.5.20180102git767df15
- Updated snapshot

* Sun Dec 31 2017 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.4.20171229git80ed4d4
- Add licensing clarification
- Add BR: gcc

* Sat Dec 30 2017 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.3.20171229git80ed4d4
- Updated snapshot

* Wed Dec 27 2017 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.2.20171227giteeb7cd8
- Optimize spec-file

* Wed Dec 27 2017 Björn Esser <besser82@fedoraproject.org> - 0.0.1-0.1.20171227giteeb7cd8
- Initial rpm release (#1529352)
